#include <graphics.h>

class POZITIE                                  //clasa pozitie
{
  public:                                      //membrii publici
         POZITIE();                            //constructor fara parametrii
         POZITIE(int x0,int y0);               //constructor cu parametrii
    int  GetX   ()             { return(x); }; //metoda citire membru x
    int  GetY   ()             { return(y); }; //metoda citire membru y
    void Muta   (int dx,int dy); 
  protected:                                   //membrii protected
    int  x;
    int  y;
};

class CERC : public POZITIE
{
    int  r;                                    //membrii implicit privati
    int  c;
    char *Nume;
  public:                                      //metode PUBLICE
         CERC();                               //constructor fara parametrii
         CERC(int x0,int y0,int r0=20,int c0=RED,char *n0="IMPLICIT");
         ~CERC();                              //destructor
    void Muta(int dx,int dy);                  //metode publice
    void Afiseaza();
    void Creste(int dr);
  private:
    void Sterge();                             //metoda PRIVATA
};
